TARGET = doomlegacy
OBJS = hw_bsp.o hw_cache.o hw_draw.o hw_light.o hw_main.o hw_md2.o hw_trick.o byteptr.o am_map.o g_state.o p_doors.o p_plats.o t_func.o command.o d_clisrv.o i_tcp.o mserv.o hu_stuff.o p_enemy.o p_pspr.o r_main.o t_oper.o console.o info.o p_fab.o p_saveg.o t_parse.o p_floor.o p_setup.o t_prepro.o dehacked.o m_argv.o p_genlin.o p_sight.o t_script.o d_items.o m_bbox.o p_spec.o t_spec.o d_main.o md5.o p_heretic.o p_switch.o t_vari.o d_net.o m_fixed.o p_telept.o s_amb.o v_video.o d_netcmd.o m_cheat.o p_tick.o wi_stuff.o d_netfil.o m_menu.o p_info.o p_user.o screen.o w_wad.o dstrings.o m_misc.o p_inter.o sounds.o z_zone.o f_finale.o m_random.o p_lights.o r_bsp.o s_sound.o p_map.o r_data.o g_game.o m_swap.o p_maputl.o r_draw.o st_stuff.o g_input.o p_ceilng.o p_mobj.o tables.o i_net.o i_video.o i_sound.o i_system.o i_main.o disablefpuexceptions.o i_adhoc.o r_gu.o exception.o debug.o clip.o

BUILD_PRX=1
PSP_FW_VERSION=303

LIBS += -lpspgum_vfpu -lpspvfpu -lpspgu -lpspreg -lpspaudiolib -lpspaudio -lpsppower -lpspwlan -lpspnet_adhoc -lpspnet_adhocctl -lpsprtc -lm
CFLAGS = -O2 -G0 -g -Wall -DPC_DOS -DHWRENDER
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
ASFLAGS = $(CFLAGS)

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = PSP Legacy
PSP_EBOOT_ICON = icon0.png

PSPSDK=$(shell psp-config --pspsdk-path)
include $(PSPSDK)/lib/build.mak
